

.App {
  /*Effects http://127.0.0.1:8000/exploit/*/
  background-color: #3d4548; /*#2C3639*//*#4e6d76;*//*#151313;*/
  border-bottom: 3px solid #fff;
}

.header {
  background-color: black;
  text-align: center;
  text-transform: uppercase;
  color: white;
  font-size: 100px;
}

.App-logo {
  height: 100px;
  pointer-events: none;
}

/*@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}*/



.App-link {
  display: flex;
  color: aliceblue;
  background-color: #000000;
  font-size: 45px;
  font-weight: 700;
  padding-top: 1%;
  padding-bottom: 2%;
  padding-left: 1%;
  padding-right: 5%; 
}

.flex-container-top {
  display: flex;
  flex-direction: row;
  background-color: #000000; /*#1b2b4d*/
  min-height: 120px;
}


.terminal {
  float:right;
  padding-top: 2%;
  padding-right: 4%;

}
/*#TODO find out how to make the text size no larger than ___px
and no smaller than ____px the terminal-output width can be no longer than 55px total*/
.terminal-output {
  color: black;
  /*resize allows the user to resize the termianl output and
  overflow makes it so that it does not show text past the container's size*/
  resize: both;
  overflow:auto;
  /*min-width: 180px;*/
  background-image: 
    linear-gradient(
      -45deg,
      gray 20px,
      transparent 20px
    )
}

/*Cyber Kill Chain topbar*/
/*.CyberKillChain {
  padding-top: 2%;
  padding-left: 1%;
  padding-right: 1%;
  font-size: 10px;
  border-right: 2px solid white;
}*/
.icon {
  font-size: 118px; 
  color: rgb(222, 226, 230);
  border-left: 2px solid white;
  padding-top: 2%;
  padding-left: 10%;
  


}
.icon-hamburger-menu {
  position: absolute;
  font-size: 30px; 
  color: rgb(222, 226, 230);
  padding-top: 2%;
  left: 3px;
  top: 59px;
}
.icon-house {
  position: absolute;
  font-size: 30px; 
  color: rgb(222, 226, 230);
  padding-top: 2%;
  left: 54px;
  top: 55px;
}
.icon-circle {
  position: absolute;
  font-size: 30px; 
  color: rgb(222, 226, 230);
  padding-top: 2%;
  left: 95px;
  top: 55px;
}

.icon-tor {
  position: absolute;
  font-size: 30px; 
  color: rgb(222, 226, 230);
  padding-top: 2%;
  left: 136px;
  top: 55px;
}
.icon-tor:hover {
  color: #7E4799;
}
/*Would have the border around icon light up instead of the icon itself*/
/*.icon:hover {
  border: 7px solid	rgb(220,20,60); 
  border-radius: 12px;
}*/
.icon:hover, .terminal-icon:hover, .icon-circle:hover, .icon-house:hover, .icon-hamburger-menu:hover {
  color: rgb(255, 59,48);
}
/*When the width is 1200 px or less*/
@media only screen and (max-width: 1200px) {
  .icon {
      font-size: 60px;
  }
  .App-link {
    padding-bottom: 0%;
  }
  .profile {
    font-size: 40px;
  }
}
@media only screen and (max-width: 1450px) {
  .icon {
      font-size: 100px;
  }
  .App-link {
    padding-bottom: 0%;
  }
  .profile {
    font-size: 30px;
  }
}




.profile {
  position: absolute;
  top: 1%;
  right: 0px;
  font-size: 50px; 
  color: rgb(222, 226, 230);
  padding-top: 1%;
  padding-left: 2%;
  padding-right: 2%;
}
.terminal-icon {
  position: absolute;
  top: 5%;
  right: 4%;
  font-size: 20px; 
  color: rgb(222, 226, 230);
  padding-top: 1%;
  padding-left: 2%;
  padding-right: 2%;
}



.icon {
  position: relative;
  display: inline-block;
  border-bottom: 1px dotted black;
}

.tooltiptext {
  visibility: hidden;
  width: 110px;
  background-color: rgba(217, 66, 31, 0.72);
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  font-size: 20px;
  
  
  position: absolute;
  z-index: 1;
  top: 100%;
  left: 50%;
  margin-left: -60px;
}

.icon:hover .tooltiptext {
  visibility: visible;
}
/*
.tooltiptext {
  visibility: hidden;
  width: 120px;
  background-color: black;
  color: white;
  text-align: center;
  border-radius: 6px;
  padding: 5px;
  position: absolute;
  z-index: 1;
}

.tooltiptext:hover {
  visibility: visible;
}
*/

.space {
  background-color:  #4e5965; /*#fff;*/
  padding: 30%;
}
.main-content {
  background-color: #1d1d1f;
  padding-top: 20%;
  padding-bottom: 20%;
}



















.sidepanel  {
  width: 0;
  position: fixed;


  z-index: 1;
  height: 600px;
  top: 121px;
  left: 0;
  background-color: #111;
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 60px;
}

.sidepanel a {
  /*padding: 8px 8px 8px 32px;*/
  text-decoration: none;
  font-size: 32px;
  color: #818181;
  display: block;
  transition: 0.3s;
}

.sidepanel a:hover {
  color: #f1f1f1;
}

.sidepanel .closebtn {
  position: absolute;
  top: 0;
  font-size: 47px;
  right: 16px;
}

.icon-hamburger-menu {
  cursor: pointer;
  background-color: transparent;
  font-size: 33px;
  color: white;
  padding: 15px 15px;
  border: none;


  
}

.openbtn:hover {
  background-color:#444;
}